Subject: Re: bug#22587: ‘guix edit’ &‘M-x guix-edit' typo, rename, & mode change

From: [email-masked] (Ludovic Courtès)
Date: Sat, 04 Jun 2016 13:21:46 +0200

Alex Kost <[email-masked]> skribis:

> Ludovic Courtès (2016-06-02 22:40 +0300) wrote:
>
>> Alex Kost <[email-masked]> skribis:
>>
>>> Ludovic Courtès (2016-04-20 18:31 +0300) wrote:
>>
>> [...]
>>
>>>>>> However, I think (1) the title should describe the bug, not the
>>>>>> solution, and (2) ‘guix edit’ does what it says IMO, even if it can
>>>>>> occasionally stumble upon read-only files.
>>>>>
>>>>> OK, well I don't know what to do with it then.  What about the following
>>>>> title: «"guix edit" name may be confusing»?
>>>>
>>>> Perfect! :-)
>>>
>>> Done.
>>
>> I’m rather inclined to close this bug as ‘wontfix’.  Thoughts?
>
> I would prefer it to be solved by renaming "guix edit" to "guix package
> definition", but I think it will not be welcomed by most users and
> authors, so 'wontfix' is fine by me.

I’m of course unsure what “most” users would think, but I find ‘guix
package definition’ too wordy and probably too hard to find for a
newcomer.

OK, marking it as wontfix, and we can always revisit the issue later if
people disagree!

Ludo’.